﻿
@model NorthWind.Entity.OrderDetailMap

@using (Ajax.BeginForm("AddEditOrderDetail", "Orders", new AjaxOptions { HttpMethod = "POST", OnSuccess = "UpdateListOrderDetail" }))
{ 
    <div class="modal-dialog" data-backdrop="static">
    <div class="modal-content">
        <div class="modal-header">
            <span class="close" onclick="$('#order-detail').modal('hide')">&times;</span>
            <h3>Order Product Detail</h3>
        </div>
        <div class="modal-body">
            <div class="form-horizontal">
                @Html.ValidationSummary(true, "", new { @class = "text-danger" })                
                <div class="form-group">
                    <label class="control-label col-md-4">Order ID</label>
                    <div class="col-md-4">                        
                        @Html.TextBoxFor(x => x.OrderID, new { @readonly = true, @class = "form-control" })
                    </div>
                </div>
                <div class="form-group">
                    <label class="control-label col-md-4">Product</label>
                    <div class="col-md-8">
                        <div class="input-group">
                            @Html.HiddenFor(x => x.ProductID)
                            @Html.TextBoxFor(x => x.ProductName, new { @class = "form-control freeze" })
                            @{
                                if (Model.ProductID == 0)
                                {
                                    <div class="input-group-btn">
                                        <button type="button" class="btn btn-primary" onclick="selectProduct()"><i class="glyphicon glyphicon-search"></i></button>
                                    </div>
                                }
                                else
                                {
                                    <div class="input-group-addon">
                                    </div>
                                }
                            }
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="control-label col-md-4">Unit Price</label>
                    <div class="col-md-4">
                        @Html.TextBoxFor(x => x.UnitPrice, new { @Value = Model.UnitPrice.ToString("0.##"), @class = "form-control digit" })
                    </div>
                </div>
                <div class="form-group">
                    <label class="control-label col-md-4">Quantity</label>
                    <div class="col-md-4">
                        @Html.TextBoxFor(x => x.Quantity, new { @class = "form-control digit" })
                    </div>
                </div>
                <div class="form-group">
                    <label class="control-label col-md-4">Discount</label>
                    <div class="col-md-4">
                        @Html.TextBoxFor(x => x.Discount, new { @Value = Model.Discount.ToString("0.##"), @class = "form-control digit" })
                    </div>
                </div>
            </div>
        </div>
        <div class="modal-footer">
            <button type="submit" class="btn btn-primary" onclick=""><i class="glyphicon glyphicon-save"></i> Save</button>
            <button type="button" class="btn btn-default" onclick="$('#order-detail').modal('hide')"><i class="glyphicon glyphicon-remove"></i> Close</button>
        </div>
    </div>
</div>

}

<script type="text/javascript">
    $('.digit').digits();
    $('.freeze').freeze();

    function selectProduct(){
        $("#lookup-prod").modal();
    }
</script>
